## mplayer2 2.0-554-gf63dbad

=== debian/changelog ===
mplayer2 (2.0-554-gf63dbad-1ubuntu0.1) quantal-proposed; urgency=low

  * Enable CPU autodetection on architectures that support it.
    LP: #974125

 -- Julien Lavergne <gilir@ubuntu.com>  Tue, 11 Dec 2012 17:18:23 +0100

mplayer2 (2.0-554-gf63dbad-1) unstable; urgency=low

  * New upstream snapshot:
    - Pass a dummy address instead of NULL pointer as third argument to
      FcFontMatch() to fix an assertion failure with the latest 2.9.0
      version of fontconfig (Closes: #672947).

 -- Alessio Treglia <alessio@debian.org>  Sat, 19 May 2012 20:07:25 +0200

mplayer2 (2.0-542-gbb90802-1) unstable; urgency=low

  * New upstream snapshot:
    - ao_pulse: fix specifying host/sink (Closes: #671362)
  * Drop support for cdparanoia.
  * Build-Depends on libcdio-{cdda,paranoia}-dev.

 -- Alessio Treglia <alessio@debian.org>  Sat, 05 May 2012 01:37:30 +0200

mplayer2 (2.0-518-gb711624-2) unstable; urgency=low

  * Upload to unstable.
  * Merge 2.0-518-gb711624 from experimental.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 May 2012 03:32:15 +0200

mplayer2 (2.0-518-gb711624-1) experimental; urgency=low

  * New upstream snapshot.
  * Enable harden'd flags, thanks to Moritz Muehlenhoff
    for the patch. (Closes: #658034)
  * Build-depend on libpng-dev only. (Closes: #662435)
  * Drop esound support as it's obsolete.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 26 Apr 2012 12:33:29 +0200

=== debian/control ===
Source: mplayer2
Section: video
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 autoconf,
 automake,
 debhelper (>= 7.0.50~),
 docbook-xml,
 docbook-xsl,
 ladspa-sdk,
 libaa1-dev,
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libass-dev,
 libaudio-dev,
 libavcodec-dev (>= 4:0.8~),
 libavformat-dev (>= 4:0.8~),
 libavutil-dev (>= 4:0.8~),
 libbluray-dev,
 libcaca-dev,
 libcdio-cdda-dev,
 libcdio-paranoia-dev,
 libdirectfb-dev,
 libdts-dev,
 libdvdnav-dev,
 libdvdread-dev,
 libenca-dev,
 libfaad-dev,
 libfontconfig1-dev,
 libfreetype6-dev,
 libfribidi-dev,
 libgif-dev,
 libgl1-mesa-dev,
 libjack-dev,
 libjpeg-dev,
 liblircclient-dev,
 liblivemedia-dev,
 liblzo2-dev,
 libmpcdec-dev,
 libncurses5-dev,
 libopenal-dev,
 libpng-dev,
 libpostproc-dev (>= 4:0.8~),
 libpulse-dev,
 libschroedinger-dev,
 libsdl1.2-dev | libsdl1.1-dev,
 libsmbclient-dev,
 libspeex-dev,
 libswscale-dev (>= 4:0.8~),
 libtheora-dev (>= 1.0~beta1),
 libtool,
 libvdpau-dev,
 libvorbis-dev,
 libvorbisidec-dev,
 libx11-dev,
 libxext-dev,
 libxinerama-dev,
 libxv-dev,
 libxvidcore-dev,
 libxvmc-dev,
 libxxf86dga-dev,
 libxxf86vm-dev,
 pkg-config,
 python,
 vstream-client-dev,
 x11proto-core-dev,
 xsltproc,
 yasm,
 zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://mplayer2.org
Vcs-Git: git://git.debian.org/pkg-multimedia/mplayer2.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mplayer2.git;a=summary

Package: mplayer2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 mplayer
Conflicts:
 mplayer
Provides:
 mplayer
Description: next generation movie player for Unix-like systems
 MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO, ASF/WMA/WMV,
 QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
 supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It
 can also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
 .
 Another big feature of MPlayer is the wide range of supported output
 drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev, DirectFB,
 but also SDL (plus all its drivers) and some low level card-specific
 drivers (for Matrox, 3Dfx and Radeon, Mach64 and Permedia3). Most of
 them support software or hardware scaling, therefore allowing fullscreen
 display. MPlayer is also able to use some hardware MPEG decoder boards,
 such as the DVB and DXR3/Hollywood+.

Package: mplayer2-dbg
Section: debug
Architecture: any
Depends:
 mplayer2 (= ${binary:Version}),
 ${misc:Depends}
Replaces:
 mplayer-dbg
Conflicts:
 mplayer-dbg
Provides:
 mplayer-dbg
Description: Debugging symbols for mplayer2
 MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO, ASF/WMA/WMV,
 QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
 supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It
 can also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
 .
 This package provides the debugging symbols for mplayer2.

=== debian/rules ===
#!/usr/bin/make -f

# Support multiple makes at once
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
# on i386 and amd64, we query the system unless overriden by DEB_BUILD_OPTIONS
ifeq      ($(DEB_HOST_ARCH),i386)
NUMJOBS := -j$(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
else ifeq ($(DEB_HOST_ARCH),amd64)
NUMJOBS := -j$(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
endif
endif

DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifeq ($(DEB_HOST_GNU_CPU),i686)
	CFLAGS += -march=i686
endif

CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += `dpkg-buildflags --get CPPFLAGS`
LDFLAGS = `dpkg-buildflags --get LDFLAGS`

confflags := --prefix=/usr \
	--confdir=/etc/mplayer \
	--enable-translation \
	--disable-svga \
	--extra-cflags="${CFLAGS}" \
	--extra-ldflags="${LDFLAGS}" \
	--enable-debug=3 \
	$(archconf)

ifeq ($(DEB_HOST_ARCH),i386)
#configure optimizes for the cpu detected at ./configure time
#in order to build a generic binary, avoid non-standard opcodes through gcc
  archconf += --target=i586-linux
  confflags += --enable-runtime-cpudetection
endif
ifeq ($(DEB_HOST_ARCH),amd64)
  confflags += --enable-runtime-cpudetection
endif
ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
  confflags += --enable-runtime-cpudetection
endif
ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
  confflags += --enable-runtime-cpudetection
endif
ifeq ($(DEB_HOST_ARCH),powerpc)
  confflags += --enable-runtime-cpudetection
endif

%:
	dh $@

override_dh_auto_configure:
	./configure $(confflags)

override_dh_auto_build:
	make V=1 $(NUMJOBS)

override_dh_install:
	dh_install
	find debian/mplayer2/ -type d -empty -delete

override_dh_strip:
	dh_strip --dbg-package=mplayer2-dbg

override_dh_clean:
	dh_clean

## mplayer2 2.0-701

=== Makefile ===
# MPlayer Makefile
#
# copyright (c) 2008 Diego Biurrun
# Rewritten entirely from a set of Makefiles written by Arpi and many others.
#
# This file is part of MPlayer.
#
# MPlayer is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# MPlayer is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with MPlayer; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

include config.mak

###### variable declarations #######

SRCS_AUDIO_INPUT-$(ALSA)             += stream/ai_alsa1x.c
SRCS_AUDIO_INPUT-$(OSS)              += stream/ai_oss.c
SRCS_COMMON-$(AUDIO_INPUT)           += $(SRCS_AUDIO_INPUT-yes)
SRCS_COMMON-$(CDDA)                  += stream/stream_cdda.c \
                                        stream/cdinfo.c
SRCS_COMMON-$(CDDB)                  += stream/stream_cddb.c
SRCS_COMMON-$(DVBIN)                 += stream/dvb_tune.c \
                                        stream/stream_dvb.c
SRCS_COMMON-$(DVDNAV)                += stream/stream_dvdnav.c
SRCS_COMMON-$(DVDNAV_INTERNAL)       += libdvdnav/dvdnav.c \
                                        libdvdnav/highlight.c \
                                        libdvdnav/navigation.c \
                                        libdvdnav/read_cache.c \
                                        libdvdnav/remap.c \
                                        libdvdnav/searching.c \
                                        libdvdnav/settings.c \
                                        libdvdnav/vm/decoder.c \
                                        libdvdnav/vm/vm.c \
                                        libdvdnav/vm/vmcmd.c \

SRCS_COMMON-$(DVDREAD)               += stream/stream_dvd.c \
                                        stream/stream_dvd_common.c
SRCS_COMMON-$(DVDREAD_INTERNAL)      += libdvdread4/bitreader.c \
                                        libdvdread4/dvd_input.c \
                                        libdvdread4/dvd_reader.c \
                                        libdvdread4/dvd_udf.c \
                                        libdvdread4/ifo_print.c \
                                        libdvdread4/ifo_read.c \
                                        libdvdread4/md5.c \
                                        libdvdread4/nav_print.c \
                                        libdvdread4/nav_read.c \

SRCS_COMMON-$(FAAD)                  += libmpcodecs/ad_faad.c
SRCS_COMMON-$(FASTMEMCPY)            += libvo/aclib.c

# These filters use private headers and do not work with shared libavcodec.
SRCS_COMMON-$(FFMPEG_INTERNALS)      += libmpcodecs/vf_mcdeint.c \
                                        libmpcodecs/vf_spp.c \

SRCS_COMMON-$(FTP)                   += stream/stream_ftp.c
SRCS_COMMON-$(GIF)                   += libmpdemux/demux_gif.c
SRCS_COMMON-$(HAVE_POSIX_SELECT)     += libmpcodecs/vf_bmovl.c
SRCS_COMMON-$(HAVE_SYS_MMAN_H)       += libaf/af_export.c osdep/mmap_anon.c
SRCS_COMMON-$(JPEG)                  += libmpcodecs/vd_ijpg.c
SRCS_COMMON-$(LADSPA)                += libaf/af_ladspa.c
SRCS_COMMON-$(LIBA52)                += libmpcodecs/ad_liba52.c
SRCS_COMMON-$(LIBASS)                += libmpcodecs/vf_ass.c \
                                        sub/ass_mp.c \
                                        sub/osd_libass.c \
                                        sub/sd_ass.c \

# compiled if libass is NOT enabled
SRCS_COMMON-NEGATED-$(LIBASS)        += sub/osd_dummy.c

SRCS_COMMON-$(LIBBLURAY)             += stream/stream_bluray.c
SRCS_COMMON-$(LIBBS2B)               += libaf/af_bs2b.c
SRCS_COMMON-$(LIBDCA)                += libmpcodecs/ad_libdca.c
SRCS_COMMON-$(LIBDV)                 += libmpcodecs/ad_libdv.c \
                                        libmpcodecs/vd_libdv.c \
                                        libmpdemux/demux_rawdv.c
SRCS_COMMON-$(LIBDVDCSS_INTERNAL)    += libdvdcss/css.c \
                                        libdvdcss/device.c \
                                        libdvdcss/error.c \
                                        libdvdcss/ioctl.c \
                                        libdvdcss/libdvdcss.c \

SRCS_COMMON-$(LIBMAD)                += libmpcodecs/ad_libmad.c

SRCS_COMMON-$(LIBNUT)                += libmpdemux/demux_nut.c
SRCS_COMMON-$(LIBPOSTPROC)           += libmpcodecs/vf_pp.c
SRCS_COMMON-$(LIBSMBCLIENT)          += stream/stream_smb.c

SRCS_COMMON-$(LIBTHEORA)             += libmpcodecs/vd_theora.c
SRCS_COMMON-$(MACOSX_FINDER)         += osdep/macosx_finder_args.m
SRCS_COMMON-$(COCOA)                 += libvo/osx_common.c \
                                        libvo/cocoa_common.m \
                                        osdep/cocoa_events.m
SRCS_COMMON-$(MNG)                   += libmpdemux/demux_mng.c
SRCS_COMMON-$(MPG123)                += libmpcodecs/ad_mpg123.c

SRCS_COMMON-$(MUSEPACK)              += libmpcodecs/ad_mpc.c \
                                        libmpdemux/demux_mpc.c

SRCS_COMMON-$(NEED_GETTIMEOFDAY)     += osdep/gettimeofday.c
SRCS_COMMON-$(NEED_GLOB)             += osdep/glob-win.c
SRCS_COMMON-$(NEED_SETENV)           += osdep/setenv.c
SRCS_COMMON-$(NEED_SHMEM)            += osdep/shmem.c
SRCS_COMMON-$(NEED_STRSEP)           += osdep/strsep.c
SRCS_COMMON-$(NEED_SWAB)             += osdep/swab.c
SRCS_COMMON-$(NEED_VSSCANF)          += osdep/vsscanf.c
SRCS_COMMON-$(NETWORKING)            += stream/stream_netstream.c \
                                        stream/asf_mmst_streaming.c \
                                        stream/asf_streaming.c \
                                        stream/cookies.c \
                                        stream/http.c \
                                        stream/network.c \
                                        stream/pnm.c \
                                        stream/rtp.c \
                                        stream/udp.c \
                                        stream/tcp.c \
                                        stream/stream_rtp.c \
                                        stream/stream_udp.c \

SRCS_COMMON-$(PNG)                   += libmpcodecs/vd_mpng.c
SRCS_COMMON-$(PRIORITY)              += osdep/priority.c
SRCS_COMMON-$(PVR)                   += stream/stream_pvr.c
SRCS_COMMON-$(QTX_CODECS)            += libmpcodecs/ad_qtaudio.c \
                                        libmpcodecs/vd_qtvideo.c
SRCS_COMMON-$(RADIO)                 += stream/stream_radio.c
SRCS_COMMON-$(RADIO_CAPTURE)         += stream/audio_in.c
SRCS_COMMON-$(REAL_CODECS)           += libmpcodecs/ad_realaud.c \
                                        libmpcodecs/vd_realvid.c
SRCS_COMMON-$(SPEEX)                 += libmpcodecs/ad_speex.c
SRCS_COMMON-$(STREAM_CACHE)          += stream/cache2.c

SRCS_COMMON-$(TV)                    += stream/stream_tv.c stream/tv.c \
                                        stream/frequencies.c stream/tvi_dummy.c
SRCS_COMMON-$(TV_BSDBT848)           += stream/tvi_bsdbt848.c
SRCS_COMMON-$(TV_DSHOW)              += stream/tvi_dshow.c \
                                        loader/dshow/guids.c \
                                        loader/dshow/mediatype.c \

SRCS_COMMON-$(TV_V4L1)               += stream/tvi_v4l.c  stream/audio_in.c
SRCS_COMMON-$(TV_V4L2)               += stream/tvi_v4l2.c stream/audio_in.c
SRCS_COMMON-$(UNRAR_EXEC)            += sub/unrar_exec.c
SRCS_COMMON-$(VCD)                   += stream/stream_vcd.c
SRCS_COMMON-$(VORBIS)                += libmpcodecs/ad_libvorbis.c \
                                        libmpdemux/demux_ogg.c
SRCS_COMMON-$(VSTREAM)               += stream/stream_vstream.c
SRCS_QTX_EMULATION                   += loader/wrapper.S
SRCS_COMMON-$(QTX_EMULATION)         += $(SRCS_QTX_EMULATION)
SRCS_WIN32_EMULATION                 += loader/elfdll.c \
                                        loader/ext.c \
                                        loader/ldt_keeper.c \
                                        loader/module.c \
                                        loader/pe_image.c \
                                        loader/pe_resource.c \
                                        loader/registry.c \
                                        loader/resource.c \
                                        loader/win32.c \

SRCS_COMMON-$(WIN32_EMULATION)       += $(SRCS_WIN32_EMULATION)

SRCS_COMMON-$(WIN32DLL)              += libmpcodecs/ad_acm.c \
                                        libmpcodecs/ad_dmo.c \
                                        libmpcodecs/ad_dshow.c \
                                        libmpcodecs/ad_twin.c \
                                        libmpcodecs/vd_dmo.c \
                                        libmpcodecs/vd_dshow.c \
                                        libmpcodecs/vd_vfw.c \
                                        libmpcodecs/vd_vfwex.c \
                                        libmpdemux/demux_avs.c \
                                        loader/afl.c \
                                        loader/drv.c \
                                        loader/vfl.c \
                                        loader/dshow/DS_AudioDecoder.c \
                                        loader/dshow/DS_Filter.c \
                                        loader/dshow/DS_VideoDecoder.c \
                                        loader/dshow/allocator.c \
                                        loader/dshow/cmediasample.c \
                                        loader/dshow/graph.c \
                                        loader/dshow/guids.c \
                                        loader/dshow/inputpin.c \
                                        loader/dshow/mediatype.c \
                                        loader/dshow/outputpin.c \
                                        loader/dmo/DMO_AudioDecoder.c \
                                        loader/dmo/DMO_VideoDecoder.c   \
                                        loader/dmo/buffer.c   \
                                        loader/dmo/dmo.c  \
                                        loader/dmo/dmo_guids.c \

SRCS_COMMON-$(XANIM_CODECS)          += libmpcodecs/vd_xanim.c
SRCS_COMMON-$(XMMS_PLUGINS)          += libmpdemux/demux_xmms.c
SRCS_COMMON-$(XVID4)                 += libmpcodecs/vd_xvid4.c

SRCS_COMMON = asxparser.c \
              av_log.c \
              av_opts.c \
              bstr.c \
              codec-cfg.c \
              cpudetect.c \
              defaultopts.c \
              fmt-conversion.c \
              m_config.c \
              m_option.c \
              m_struct.c \
              mp_msg.c \
              mpcommon.c \
              parser-cfg.c \
              path.c \
              playtree.c \
              playtreeparser.c \
              subopt-helper.c \
              talloc.c \
              libaf/af.c \
              libaf/af_center.c \
              libaf/af_channels.c \
              libaf/af_comp.c \
              libaf/af_delay.c \
              libaf/af_dummy.c \
              libaf/af_equalizer.c \
              libaf/af_extrastereo.c \
              libaf/af_format.c \
              libaf/af_gate.c \
              libaf/af_hrtf.c \
              libaf/af_karaoke.c \
              libaf/af_lavcac3enc.c \
              libaf/af_lavcresample.c \
              libaf/af_pan.c \
              libaf/af_resample.c \
              libaf/af_scaletempo.c \
              libaf/af_sinesuppress.c \
              libaf/af_stats.c \
              libaf/af_sub.c \
              libaf/af_surround.c \

=== DOCS/xml/Makefile ===
# Makefile for generating the HTML documentation

include ../../config.mak
include xml.mak

# Generated HTML files go here.
HTML = ../HTML

MAIN_XML_ALL = $(foreach lang,$(DOC_LANG_ALL),$(lang)/main.xml)
CONFIGURE_GENERATED = html-chunk.xsl html-single.xsl xml.mak

all: html-chunked html-single

html-chunked: $(addprefix html-chunked-,$(DOC_LANGS))
html-single:  $(addprefix html-single-,$(DOC_LANGS))

xmllint: $(addprefix xmllint-,$(DOC_LANGS))

$(CONFIGURE_GENERATED) $(MAIN_XML_ALL):
	./configure

define lang-def
html-chunked-$(lang): $(HTML)/$(lang)/dummy.html
html-single-$(lang):  $(HTML)/$(lang)/MPlayer.html
$(HTML)/$(lang)/dummy.html $(HTML)/$(lang)/MPlayer.html: $(lang)/main.xml $(wildcard $(lang)/*.xml) html-common.xsl $(HTML)/$(lang)/default.css

$(HTML)/$(lang)/default.css:
	mkdir -p $$(@D)
	cp -f default.css $$(@D)

$(HTML)/$(lang)/dummy.html:
	SGML_CATALOG_FILES=$(CATALOG) $(XSLT_COMMAND) $$@ html-chunk.xsl $$<

$(HTML)/$(lang)/MPlayer.html:
	SGML_CATALOG_FILES=$(CATALOG) $(XSLT_COMMAND) $$@ html-single.xsl $$<

xmllint-$(lang):
	SGML_CATALOG_FILES=$(CATALOG) $(XMLLINT_COMMAND) $(lang)/main.xml
endef

$(foreach lang, $(DOC_LANG_ALL),$(eval $(lang-def)))

clean:
	-rm -rf $(HTML)

# Remove generated files but keep the HTML (for release tarballs).
releaseclean:
	-rm -f $(CONFIGURE_GENERATED)
	-rm -f $(MAIN_XML_ALL)

distclean: clean releaseclean

.PHONY: all html-chunked html-single xmllint
.PHONY: html-chunked-* html-single-* xmllint-* *clean

## mplayer2 2.0-701-gd4c5b7f

=== debian/changelog ===
mplayer2 (2.0-701-gd4c5b7f-2ubuntu2) trusty; urgency=medium

  * Fix overenthusiastic case statement modification in ppc64el.patch.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Mar 2014 01:33:10 +0000

mplayer2 (2.0-701-gd4c5b7f-2ubuntu1) trusty; urgency=medium

  * Minimal ports to arm64 and ppc64el.  I haven't done any assembler
    optimisations so this may not be very fast, but it's at least good
    enough to satisfy dependencies of other packages.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Mar 2014 01:08:16 +0000

mplayer2 (2.0-701-gd4c5b7f-2build1) trusty; urgency=medium

  * No-change rebuild for libmng soname bump.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Dec 2013 17:02:09 +0100

mplayer2 (2.0-701-gd4c5b7f-2) unstable; urgency=low

  [ Alessio Treglia ]
  * Add mechanism to retrieve upstream snapshots.
  * Do not fail on clean if config.mak is missing. (Closes: #718111)
  * Use canonical VCS url.
  * Bump Standards.

  [ Reinhard Tartler ]
  * Upload to unstable.
  * run dh_clean only when configured

 -- Alessio Treglia <alessio@debian.org>  Tue, 20 Aug 2013 16:33:40 +0100

mplayer2 (2.0-701-gd4c5b7f-1) experimental; urgency=low

  [ upstream ]
  * New VCS snapshot.

  [ Reinhard Tartler ]
  * Drop fix-format-string-error.patch: All changes are merged upstream.

  [ Jonas Smedegaard ]
  * Add myself as uploader, and sort them alphabetically.
  * Tighten build-dependencies on libswscale-dev and libpostproc-dev, to
    use experimental ones.
  * Build-depend on liba52-0.7.4-dev, libavresample-dev, libdv4-dev,
    liblcms2-dev, libmng-dev, libquvi-dev and libxss-dev.
  * Fix set version string.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 20 Jan 2013 16:42:43 +0100

mplayer2 (2.0-665-gb5349bb-2) experimental; urgency=low

  [ Julien Lavergne ]
  * Enable CPU autodetection on architectures that support it,
    Closes: #627197,
    LP: #934774, #928793, #858226, #974125, #974774, #987734, #1014279

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 23 Nov 2012 20:53:49 +0100

mplayer2 (2.0-665-gb5349bb-1) experimental; urgency=low

  * New upstream snapshot
  * build against libav9
  * use xz compression
  * vo_svga has been removed upstream
  * package build now requires python3 to build
  * Fix a format string error. Patch by Rico Tzschichholz
  * mplayer2 uses rst2man for generating manpages
  * build against libbluray-dev, Closes: #692612
  * build against libmad0-dev, and libmpg123-dev, Closes: #676920

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 18 Nov 2012 20:45:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,28 +4,34 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Reinhard Tartler <siretart@tauware.de>,
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jonas Smedegaard <dr@jones.dk>,
+ Reinhard Tartler <siretart@tauware.de>
 Build-Depends:
  autoconf,
  automake,
  debhelper (>= 7.0.50~),
  docbook-xml,
  docbook-xsl,
+ dpkg-dev (>> 1.16.1~),
  ladspa-sdk,
+ liba52-0.7.4-dev,
  libaa1-dev,
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libass-dev,
  libaudio-dev,
- libavcodec-dev (>= 4:0.8~),
- libavformat-dev (>= 4:0.8~),
- libavutil-dev (>= 4:0.8~),
+ libavcodec-dev (>= 6:9~),
+ libavformat-dev (>= 6:9~),
+ libavresample-dev (>= 6:9~),
+ libavutil-dev (>= 6:9~),
  libbluray-dev,
  libcaca-dev,
  libcdio-cdda-dev,
  libcdio-paranoia-dev,
  libdirectfb-dev,
+ libbs2b-dev,
  libdts-dev,
+ libdv4-dev,
  libdvdnav-dev,
  libdvdread-dev,
  libenca-dev,
@@ -37,20 +43,25 @@
  libgl1-mesa-dev,
  libjack-dev,
  libjpeg-dev,
+ liblcms2-dev,
  liblircclient-dev,
  liblivemedia-dev,
  liblzo2-dev,
+ libmad0-dev,
+ libmng-dev,
  libmpcdec-dev,
+ libmpg123-dev,
  libncurses5-dev,
  libopenal-dev,
  libpng-dev,
- libpostproc-dev (>= 4:0.8~),
+ libpostproc-dev (>= 6:0.git20120821~),
  libpulse-dev,
+ libquvi-dev,
  libschroedinger-dev,
  libsdl1.2-dev | libsdl1.1-dev,
  libsmbclient-dev,
  libspeex-dev,
- libswscale-dev (>= 4:0.8~),
+ libswscale-dev (>= 6:9~),
  libtheora-dev (>= 1.0~beta1),
  libtool,
  libvdpau-dev,
@@ -59,22 +70,24 @@
  libx11-dev,
  libxext-dev,
  libxinerama-dev,
+ libxss-dev,
  libxv-dev,
  libxvidcore-dev,
  libxvmc-dev,
  libxxf86dga-dev,
  libxxf86vm-dev,
  pkg-config,
- python,
+ python-docutils,
+ python3,
  vstream-client-dev,
  x11proto-core-dev,
  xsltproc,
  yasm,
  zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://mplayer2.org
-Vcs-Git: git://git.debian.org/pkg-multimedia/mplayer2.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mplayer2.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mplayer2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mplayer2.git
 
 Package: mplayer2
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,6 @@
 confflags := --prefix=/usr \
 	--confdir=/etc/mplayer \
 	--enable-translation \
-	--disable-svga \
 	--extra-cflags="${CFLAGS}" \
 	--extra-ldflags="${LDFLAGS}" \
 	--enable-debug=3 \
@@ -53,6 +52,7 @@
 	dh $@
 
 override_dh_auto_configure:
+	dpkg-parsechangelog | sed -n 's/^Version: //p' > VERSION
 	./configure $(confflags)
 
 override_dh_auto_build:
@@ -65,6 +65,14 @@
 override_dh_strip:
 	dh_strip --dbg-package=mplayer2-dbg
 
+override_dh_auto_clean:
+	dh_auto_clean || true
+
 override_dh_clean:
-	dh_clean
+	[ ! -f config.mak ] || dh_clean
+	rm -f VERSION
 
+get-orig-source:
+	sh debian/get-git-source.sh
+
+.PHONY: get-orig-source

## mplayer2 2.0-728

=== Makefile ===
--- 
+++ 
@@ -58,10 +58,6 @@
 SRCS_COMMON-$(FAAD)                  += libmpcodecs/ad_faad.c
 SRCS_COMMON-$(FASTMEMCPY)            += libvo/aclib.c
 
-# These filters use private headers and do not work with shared libavcodec.
-SRCS_COMMON-$(FFMPEG_INTERNALS)      += libmpcodecs/vf_mcdeint.c \
-                                        libmpcodecs/vf_spp.c \
-
 SRCS_COMMON-$(FTP)                   += stream/stream_ftp.c
 SRCS_COMMON-$(GIF)                   += libmpdemux/demux_gif.c
 SRCS_COMMON-$(HAVE_POSIX_SELECT)     += libmpcodecs/vf_bmovl.c
@@ -113,8 +109,7 @@
 SRCS_COMMON-$(NEED_STRSEP)           += osdep/strsep.c
 SRCS_COMMON-$(NEED_SWAB)             += osdep/swab.c
 SRCS_COMMON-$(NEED_VSSCANF)          += osdep/vsscanf.c
-SRCS_COMMON-$(NETWORKING)            += stream/stream_netstream.c \
-                                        stream/asf_mmst_streaming.c \
+SRCS_COMMON-$(NETWORKING)            += stream/asf_mmst_streaming.c \
                                         stream/asf_streaming.c \
                                         stream/cookies.c \
                                         stream/http.c \
@@ -145,7 +140,6 @@
                                         loader/dshow/guids.c \
                                         loader/dshow/mediatype.c \
 
-SRCS_COMMON-$(TV_V4L1)               += stream/tvi_v4l.c  stream/audio_in.c
 SRCS_COMMON-$(TV_V4L2)               += stream/tvi_v4l2.c stream/audio_in.c
 SRCS_COMMON-$(UNRAR_EXEC)            += sub/unrar_exec.c
 SRCS_COMMON-$(VCD)                   += stream/stream_vcd.c
@@ -230,11 +224,21 @@
               libaf/af_hrtf.c \
               libaf/af_karaoke.c \
               libaf/af_lavcac3enc.c \
-              libaf/af_lavcresample.c \
+              libaf/af_lavrresample.c \
               libaf/af_pan.c \
-              libaf/af_resample.c \
               libaf/af_scaletempo.c \
               libaf/af_sinesuppress.c \
               libaf/af_stats.c \
               libaf/af_sub.c \
               libaf/af_surround.c \
+              libaf/af_sweep.c \
+              libaf/af_tools.c \
+              libaf/af_volnorm.c \
+              libaf/af_volume.c \
+              libaf/filter.c \
+              libaf/format.c \
+              libaf/reorder_ch.c \
+              libaf/window.c \
+              libmpcodecs/ad.c \
+              libmpcodecs/ad_alaw.c \
+              libmpcodecs/ad_dk3adpcm.c \

## mplayer2 2.0-728-g2c378c7

=== debian/changelog ===
mplayer2 (2.0-728-g2c378c7-4+hurd.1) unreleased; urgency=medium

  * hack PATH_MAX issue.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Mar 2015 15:25:40 +0000

mplayer2 (2.0-728-g2c378c7-4) unstable; urgency=medium

  * Increase MP_INPUT_BUFFER_PADDING_SIZE to 32 to make ffmpeg happy.
    Thanks to Andreas Cadhalpun (Closes: #758359).

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 Oct 2014 15:33:51 +0100

mplayer2 (2.0-728-g2c378c7-3) unstable; urgency=medium

  [ Colin Watson ]
  * Minimal ports to arm64 and ppc64el. (Closes: #756648)

  [ Alessio Treglia ]
  * Add git to Build-Depends-Indep as it's being used by get-orig-source.
  * Bump source package's priority to optional, and keep mplayer2-dbg as
    extra. Thanks to Pino Toscano <pino@debian.org> for pointing this
    out. (Closes: #761147)
  * Link with --as-needed.

 -- Alessio Treglia <alessio@debian.org>  Sat, 04 Oct 2014 16:26:50 +0100

mplayer2 (2.0-728-g2c378c7-2) unstable; urgency=low

  * Upload to unstable, closes: #739337
  * Compile against samba-4.0, Closes: #743604
  * Bump standards version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 11 May 2014 15:24:13 -0400

mplayer2 (2.0-728-g2c378c7-1) experimental; urgency=low

  * New upstream version
  * Add patch to fix FTBFS against libav10 (Closes: #739337)
  * Compile against libav10

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 08 Mar 2014 19:20:06 -0500

mplayer2 (2.0-726-g6c87a98-1) unstable; urgency=low

  [ Alessio Treglia ]
  * New upstream version

  [ Reinhard Tartler ]
  * No longer set hardening CFLAGS explicitly, rely on DH compat level 9
    instead

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 21 Aug 2013 07:47:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mplayer2
 Section: video
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jonas Smedegaard <dr@jones.dk>,
@@ -10,7 +9,7 @@
 Build-Depends:
  autoconf,
  automake,
- debhelper (>= 7.0.50~),
+ debhelper (>= 9~),
  docbook-xml,
  docbook-xsl,
  dpkg-dev (>> 1.16.1~),
@@ -20,16 +19,16 @@
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libass-dev,
  libaudio-dev,
- libavcodec-dev (>= 6:9~),
- libavformat-dev (>= 6:9~),
- libavresample-dev (>= 6:9~),
- libavutil-dev (>= 6:9~),
+ libavcodec-dev (>= 6:10~),
+ libavformat-dev (>= 6:10~),
+ libavresample-dev (>= 6:10~),
+ libavutil-dev (>= 6:10~),
  libbluray-dev,
+ libbs2b-dev,
  libcaca-dev,
  libcdio-cdda-dev,
  libcdio-paranoia-dev,
  libdirectfb-dev,
- libbs2b-dev,
  libdts-dev,
  libdv4-dev,
  libdvdnav-dev,
@@ -59,9 +58,9 @@
  libquvi-dev,
  libschroedinger-dev,
  libsdl1.2-dev | libsdl1.1-dev,
- libsmbclient-dev,
+ libsmbclient-dev (>= 2:4~),
  libspeex-dev,
- libswscale-dev (>= 6:9~),
+ libswscale-dev (>= 6:10~),
  libtheora-dev (>= 1.0~beta1),
  libtool,
  libvdpau-dev,
@@ -84,7 +83,9 @@
  xsltproc,
  yasm,
  zlib1g-dev
-Standards-Version: 3.9.4
+Build-Depends-Indep:
+ git
+Standards-Version: 3.9.5
 Homepage: http://mplayer2.org
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mplayer2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mplayer2.git
@@ -115,6 +116,7 @@
  such as the DVB and DXR3/Hollywood+.
 
 Package: mplayer2-dbg
+Priority: extra
 Section: debug
 Architecture: any
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -17,16 +17,11 @@
 	CFLAGS += -march=i686
 endif
 
-CFLAGS = `dpkg-buildflags --get CFLAGS`
-CFLAGS += `dpkg-buildflags --get CPPFLAGS`
-LDFLAGS = `dpkg-buildflags --get LDFLAGS`
-
 confflags := --prefix=/usr \
 	--confdir=/etc/mplayer \
 	--enable-translation \
-	--extra-cflags="${CFLAGS}" \
-	--extra-ldflags="${LDFLAGS}" \
 	--enable-debug=3 \
+	--extra-ldflags=-Wl,--as-needed \
 	$(archconf)
 
 ifeq ($(DEB_HOST_ARCH),i386)
@@ -69,8 +64,9 @@
 	dh_auto_clean || true
 
 override_dh_clean:
-	[ ! -f config.mak ] || dh_clean
-	rm -f VERSION
+	dh_clean VERSION
+
+override_dh_auto_clean:
 
 get-orig-source:
 	sh debian/get-git-source.sh
